import {
  IonAccordion,
  IonAccordionGroup,
  IonItem,
  IonLabel,
} from "@ionic/react";
import ListComponent from "../components/ListComponent";
import { Category } from "../types";
import "./DropdownComponent.css";

const DropdownComponent: React.FC<{
  category: Category[];
}> = (props) => {
  const category = props.category;
  return (
    <IonAccordionGroup>
      {category.map((catItem: Category, index) => {
        return (
          <IonAccordion value={`${index}`}>
            <IonItem slot="header" color="light">
              <IonLabel>{catItem.name}</IonLabel>
            </IonItem>
            <IonItem slot="content">
              <div className="accordion-list-container">
                <ListComponent items={catItem.listItems} />
              </div>
            </IonItem>
          </IonAccordion>
        );
      })}
    </IonAccordionGroup>
  );
};
export default DropdownComponent;
